
import request from '@/utils/request'

// 培训mission-train-feedback
export function listtrain(params) {
  return request({
    url: '/api/admin/mission-train-feedback/index',
    method: 'get',
    params:params
  })
}

export function savetrain(data) {
  return request({
    url: '/api/admin/mission-train-feedback/save',
    method: 'post',
    data
  })
}

export function deltrain(id) {
  return request({
    url: '/api/admin/mission-train-feedback/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function gettrain(id) {
  return request({
    url: '/api/admin/mission-train-feedback/show',
    method: 'get',
    params: {
      id
    }
  })
}

// 资料收集mission-material-feedback
export function listuploads(params) {
  return request({
    url: '/api/admin/mission-material-feedback/index',
    method: 'get',
    params:params
  })
}

export function saveuploads(data) {
  return request({
    url: '/api/admin/mission-material-feedback/save',
    method: 'post',
    data
  })
}

export function deluploads(id) {
  return request({
    url: '/api/admin/mission-material-feedback/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function getuploads(id) {
  return request({
    url: '/api/admin/mission-material-feedback/show',
    method: 'get',
    params: {
      id
    }
  })
}

// 学习 mission-study-feedback
export function liststudy(params) {
  return request({
    url: '/api/admin/mission-study-feedback/index',
    method: 'get',
    params:params
  })
}

export function savestudy(data) {
  return request({
    url: '/api/admin/mission-study-feedback/save',
    method: 'post',
    data
  })
}

export function delstudy(id) {
  return request({
    url: '/api/admin/mission-study-feedback/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function getstudy(id) {
  return request({
    url: '/api/admin/mission-study-feedback/show',
    method: 'get',
    params: {
      id
    }
  })
}
